summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatrio2015-06-15 14:13:33 +0300
committerNatrio2015-06-15 14:13:33 +0300
commitc3dbe3df130aae5e0125baff287eca93dcb86b9b (patch)
tree559ec9e7bce519b33734477be0ac1b5154a2eaf5
downloadaur-c3dbe3df130aae5e0125baff287eca93dcb86b9b.tar.gz
Initial import
-rw-r--r--.SRCINFO21
-rw-r--r--PKGBUILD28
-rw-r--r--glib.patch15
-rw-r--r--toggleslider.patch24
4 files changed, 88 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..c23b234bbe4
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,21 @@
+pkgbase = volumeicon-toggle
+ pkgdesc = Volume control for your system tray.
+ pkgver = 0.4.6
+ pkgrel = 3
+ url = http://www.softwarebakery.com/maato/volumeicon.html
+ arch = i686
+ arch = x86_64
+ license = GPL3
+ depends = gtk2>=2.16.0
+ depends = alsa-lib
+ provides = volumeicon
+ conflicts = volumeicon
+ source = http://www.softwarebakery.com/maato/files/volumeicon/volumeicon-0.4.6.tar.gz
+ source = toggleslider.patch
+ source = glib.patch
+ md5sums = 7fd6dffba823e9c529d151d4789ff992
+ md5sums = d3a05ab6491c9c238a406738196931da
+ md5sums = b2db938600cf4173928b85e2526391ae
+
+pkgname = volumeicon-toggle
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..668ed254847
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,28 @@
+# Contributor: Maato <maato softwarebakery com>
+# Maintainer: Natrio <natrio list ru>
+
+pkgname=volumeicon-toggle
+_pkgname=volumeicon
+pkgver=0.4.6
+pkgrel=3
+pkgdesc="Volume control for your system tray."
+arch=('i686' 'x86_64')
+url="http://www.softwarebakery.com/maato/volumeicon.html"
+license=('GPL3')
+depends=('gtk2>=2.16.0' 'alsa-lib')
+provides=('volumeicon')
+conflicts=('volumeicon')
+source=(http://www.softwarebakery.com/maato/files/$_pkgname/$_pkgname-$pkgver.tar.gz 'toggleslider.patch' 'glib.patch')
+md5sums=('7fd6dffba823e9c529d151d4789ff992' 'd3a05ab6491c9c238a406738196931da' 'b2db938600cf4173928b85e2526391ae')
+
+build() {
+ cd "$srcdir/$_pkgname-$pkgver"
+ patch -p1 < $srcdir/toggleslider.patch || return 1
+ patch -p1 < $srcdir/glib.patch || return 1
+ ./configure --prefix=/usr
+ make || return 1
+}
+package() {
+ cd "$srcdir/$_pkgname-$pkgver"
+ make DESTDIR="$pkgdir/" install
+}
diff --git a/glib.patch b/glib.patch
new file mode 100644
index 00000000000..6094030bd3f
--- /dev/null
+++ b/glib.patch
@@ -0,0 +1,15 @@
+diff -pur volumeicon-0.4.6/src/alsa_backend.c volumeicon-0.4.6-glib/src/alsa_backend.c
+--- volumeicon-0.4.6/src/alsa_backend.c 2011-10-25 17:35:10.000000000 +0400
++++ volumeicon-0.4.6-glib/src/alsa_backend.c 2013-08-27 10:04:27.067804417 +0400
+@@ -22,10 +22,7 @@
+ //##############################################################################
+
+ #include <alsa/asoundlib.h>
+-#include <glib/gstring.h>
+-#include <glib/gstdio.h>
+-#include <glib/glist.h>
+-#include <glib/giochannel.h>
++#include <glib.h>
+
+ #include "alsa_backend.h"
+
diff --git a/toggleslider.patch b/toggleslider.patch
new file mode 100644
index 00000000000..e8ddd407250
--- /dev/null
+++ b/toggleslider.patch
@@ -0,0 +1,24 @@
+diff -pur volumeicon-0.3.0-orig/src/volumeicon.c volumeicon-0.3.0/src/volumeicon.c
+--- volumeicon-0.3.0-orig/src/volumeicon.c 2010-12-19 02:24:30.000000000 +0300
++++ volumeicon-0.3.0/src/volumeicon.c 2011-03-02 23:36:37.329804153 +0300
+@@ -388,7 +388,9 @@ static gboolean scale_timeout(gpointer d
+ static void status_icon_on_button_release(GtkStatusIcon * status_icon,
+ GdkEventButton * event, gpointer user_data)
+ {
+- if(event->button == 1 && config_get_left_mouse_slider() &&
++ if(event->button == 1 && config_get_left_mouse_slider() )
++ {
++ if (
+ #if GTK_CHECK_VERSION(2, 20, 0)
+ !gtk_widget_get_visible(m_scale_window))
+ #else
+@@ -413,6 +415,9 @@ static void status_icon_on_button_releas
+ gtk_window_move(GTK_WINDOW(m_scale_window), x, y);
+ gtk_window_present_with_time(GTK_WINDOW(m_scale_window), event->time);
+ g_timeout_add(TIMER_INTERVAL, scale_timeout, NULL);
++ }
++ else
++ gtk_widget_hide(m_scale_window);
+ }
+ else if(event->button == 1 ||
+ (event->button == 2 && config_get_middle_mouse_mute()))